org.eclipse.remote.serial.ui

## Class SerialPortConnectionBlock.SerialBlockUpdateListener

- java.lang.Object
- - org.eclipse.remote.serial.ui.SerialPortConnectionBlock.SerialBlockUpdateListener

Enclosing class:
  SerialPortConnectionBlock

    public abstract class SerialPortConnectionBlock.SerialBlockUpdateListener
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`SerialBlockUpdateListener()`

### Method Summary

All Methods Instance Methods Abstract Methods
`abstract void` `update()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SerialBlockUpdateListener

    public SerialBlockUpdateListener()

### Method Detail

#### update

    public abstract void update()